Index: branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90
===================================================================
--- branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90	(revision 8518)
+++ branches/2017/dev_r8183_ICEMODEL/NEMOGCM/NEMO/LIM_SRC_3/icedyn.F90	(revision 8531)
@@ -25,4 +25,5 @@
    USE lib_mpp        ! MPP library
    USE in_out_manager ! I/O manager
+   USE iom            ! I/O manager
    USE lib_fortran    ! glob_sum
    USE timing         ! Timing
@@ -209,24 +210,24 @@
       !!      dynamics
       !!
-      !! ** Method  :  Read the namice_dyn namelist and check the ice-dynamic
+      !! ** Method  :  Read the namdyn namelist and check the ice-dynamic
       !!       parameter values called at the first timestep (nit000)
       !!
-      !! ** input   :   Namelist namice_dyn
+      !! ** input   :   Namelist namdyn
       !!-------------------------------------------------------------------
       INTEGER ::   ios, ioptio   ! Local integer output status for namelist read
       !!
-      NAMELIST/namice_dyn/ ln_dynFULL, ln_dynRHGADV, ln_dynADV, rn_uice, rn_vice,  &
-         &                 rn_ishlat  , rn_cio   ,                         &
-         &                 ln_landfast, rn_gamma , rn_icebfr, rn_lfrelax
-      !!-------------------------------------------------------------------
-      !
-      REWIND( numnam_ice_ref )         ! Namelist namice_dyn in reference namelist : Ice dynamics
-      READ  ( numnam_ice_ref, namice_dyn, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dyn in reference namelist', lwp )
-      !
-      REWIND( numnam_ice_cfg )         ! Namelist namice_dyn in configuration namelist : Ice dynamics
-      READ  ( numnam_ice_cfg, namice_dyn, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namice_dyn in configuration namelist', lwp )
-      IF(lwm) WRITE ( numoni, namice_dyn )
+      NAMELIST/namdyn/ ln_dynFULL, ln_dynRHGADV, ln_dynADV, rn_uice, rn_vice,  &
+         &             rn_ishlat  ,                                            &
+         &             ln_landfast, rn_gamma , rn_icebfr, rn_lfrelax
+      !!-------------------------------------------------------------------
+      !
+      REWIND( numnam_ice_ref )         ! Namelist namdyn in reference namelist : Ice dynamics
+      READ  ( numnam_ice_ref, namdyn, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn in reference namelist', lwp )
+      !
+      REWIND( numnam_ice_cfg )         ! Namelist namdyn in configuration namelist : Ice dynamics
+      READ  ( numnam_ice_cfg, namdyn, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namdyn in configuration namelist', lwp )
+      IF(lwm) WRITE ( numoni, namdyn )
       !
       IF(lwp) THEN                     ! control print
@@ -234,5 +235,5 @@
          WRITE(numout,*) 'ice_dyn_init: ice parameters for ice dynamics '
          WRITE(numout,*) '~~~~~~~~~~~~'
-         WRITE(numout,*) '   Namelist namice_dyn'
+         WRITE(numout,*) '   Namelist namdyn:'
          WRITE(numout,*) '      Full ice dynamics      (rhg + adv + ridge/raft + corr)  ln_dynFULL   = ', ln_dynFULL
          WRITE(numout,*) '      No ridge/raft & No cor (rhg + adv)                      ln_dynRHGADV = ', ln_dynRHGADV
@@ -240,10 +241,9 @@
          WRITE(numout,*) '           with prescribed velocity given by '
          WRITE(numout,*) '               a uniform field               (u,v)_ice = (rn_uice,rn_vice) = (', rn_uice,',', rn_vice,')'
-         WRITE(numout,*) '      lateral boundary condition for sea ice dynamics        rn_ishlat     = ', rn_ishlat
-         WRITE(numout,*) '      drag coefficient for oceanic stress                    rn_cio        = ', rn_cio
-         WRITE(numout,*) '      Landfast: param (T or F)                               ln_landfast   = ', ln_landfast
-         WRITE(numout,*) '         fraction of ocean depth that ice must reach         rn_gamma      = ', rn_gamma
-         WRITE(numout,*) '         maximum bottom stress per unit area of contact      rn_icebfr     = ', rn_icebfr
-         WRITE(numout,*) '         relax time scale (s-1) to reach static friction     rn_lfrelax    = ', rn_lfrelax
+         WRITE(numout,*) '      lateral boundary condition for sea ice dynamics         rn_ishlat    = ', rn_ishlat
+         WRITE(numout,*) '      Landfast: param (T or F)                                ln_landfast  = ', ln_landfast
+         WRITE(numout,*) '         fraction of ocean depth that ice must reach          rn_gamma     = ', rn_gamma
+         WRITE(numout,*) '         maximum bottom stress per unit area of contact       rn_icebfr    = ', rn_icebfr
+         WRITE(numout,*) '         relax time scale (s-1) to reach static friction      rn_lfrelax   = ', rn_lfrelax
       ENDIF
       !                             !== set the choice of ice dynamics ==!
@@ -267,5 +267,9 @@
       ENDIF
       !                                      !--- NO Landfast ice : set to zero once for all
-      IF( .NOT. ln_landfast )   tau_icebfr(:,:) = 0._wp 
+      IF( .NOT. ln_landfast )   tau_icebfr(:,:) = 0._wp
+      !
+      CALL ice_rdgrft_init          ! set ice ridging/rafting parameters
+      CALL ice_rhg_init             ! set ice rheology parameters
+      CALL ice_adv_init             ! set ice advection parameters
       !
    END SUBROUTINE ice_dyn_init
